package com.ejie.ab04b.webservice.client.documentowebservice;

import javax.xml.bind.annotation.XmlType;

/**
 * 
 * @author Administrador
 * 
 */
@XmlType(namespace = "tipo", propOrder = { "tipo" })
public enum Tipo {
	TEXTO("texto"), IMAGEN("imagen"), NUMPAG("numpag");

	private String nombre;

	/**
	 * Instantiates a new tipo.
	 * 
	 * @param tipo
	 *            String
	 */
	private Tipo(String tipo) {
		this.nombre = tipo;
	}

	/**
	 * Gets the tipo.
	 * 
	 * @return the tipo
	 */
	public String getTipo() {
		return this.nombre;
	}

	/**
	 * Sets the tipo.
	 * 
	 * @param tipo
	 *            the tipo to set
	 */
	public void setTipo(String tipo) {
		this.nombre = tipo;
	}
}
